

;********************************************************************
;
;
;  Epprom defines for the Integra Controls Modbus Slave
;
;
;
;;*******************************************************************

    Symbol MaxNoregs = 100


;********************************************************************

    ; Epprom perement Regs

;********************************************************************

    
    Reg0 EData As Word $000F  ; Serial Number 
    Reg1 EData As Word $1234
    Reg2 EData As Word $4567
    Reg3 EData As Word $8901
    
    Reg4 EData As Word 0
    
    Reg5 EData As Word 0 ; Firmware
    
    Reg6 EData As Word 0 ; Address
    
    Reg7 EData As Word 0 ; Product
    
    Reg8 EData As Word 0
    Reg9 EData As Word 0
    Reg10 EData As Word 0
    Reg11 EData As Word 0
    Reg12 EData As Word 0
    Reg13 EData As Word 0
    Reg14 EData As Word 0
    
    Reg15 EData As Word 192 ; Baud
    
    Reg16 EData As Word 0 ; ReplyDelay
    
    Reg17 EData As Word 0 ; Units
    
    Reg18 EData As Word 0 ; Bootloader
    
    Symbol NodeAddressPointer = Reg0
    Symbol BaudSetting = Reg15
    
;********************************************************************

    ; Temp Basic Regs 8 bit

;********************************************************************    

    Dim NoRegs100 As 8
    Dim Regs_100[NoRegs100] As Byte
    
        
    Dim Reg101 As Byte At Regs_100
    Dim Reg102 As Byte At Regs_100 + 1
    Dim Reg103 As Byte At Regs_100 + 2
    Dim Reg104 As Byte At Regs_100 + 3
    Dim Reg105 As Byte At Regs_100 + 4
    Dim Reg106 As Byte At Regs_100 + 5
    Dim Reg107 As Byte At Regs_100 + 6
    Dim Reg108 As Byte At Regs_100 + 7
    
    Dim NoRegs110 As 8
    Dim Regs_110[NoRegs110] As Byte
        
    Dim Reg111 As Byte At Regs_110
    Dim Reg112 As Byte At Regs_110 + 1
    Dim Reg113 As Byte At Regs_110 + 2
    Dim Reg114 As Byte At Regs_110 + 3
    Dim Reg115 As Byte At Regs_110 + 4
    Dim Reg116 As Byte At Regs_110 + 5
    Dim Reg117 As Byte At Regs_110 + 6
    Dim Reg118 As Byte At Regs_110 + 7   
    
    
;********************************************************************

    ; Temp Basic Regs 16 bit

;********************************************************************

    Dim NoRegs1000 As 8
    Dim Regs_1000[NoRegs1000] As Word
    
    Dim Reg1001 As Word At Regs_1000 
    Dim Reg1002 As Word At Regs_1000 + 2
    Dim Reg1003 As Word At Regs_1000 + 4
    Dim Reg1004 As Word At Regs_1000 + 6
    Dim Reg1005 As Word At Regs_1000 + 8
    Dim Reg1006 As Word At Regs_1000 + 10
    Dim Reg1007 As Word At Regs_1000 + 12
    Dim Reg1008 As Word At Regs_1000 + 14
    
    Dim NoRegs1100 As 8
    Dim Regs_1100[NoRegs1100] As Word
        
    Dim Reg1101 As Word At Regs_1100 
    Dim Reg1102 As Word At Regs_1100 + 2
    Dim Reg1103 As Word At Regs_1100 + 4
    Dim Reg1104 As Word At Regs_1100 + 6
    Dim Reg1105 As Word At Regs_1100 + 8
    Dim Reg1106 As Word At Regs_1100 + 10
    Dim Reg1107 As Word At Regs_1100 + 12
    Dim Reg1108 As Word At Regs_1100 + 14   
    
    Dim NoRegs2000 As 16
    Dim Regs_2000[NoRegs2000] As Word
        
    Dim Reg2001 As Word At Regs_2000
    Dim Reg2002 As Word At Regs_2000 + 2
    Dim Reg2003 As Word At Regs_2000 + 4
    Dim Reg2004 As Word At Regs_2000 + 6
    Dim Reg2005 As Word At Regs_2000 + 8
    Dim Reg2006 As Word At Regs_2000 + 10
    Dim Reg2007 As Word At Regs_2000 + 12
    Dim Reg2008 As Word At Regs_2000 + 14
    Dim Reg2009 As Word At Regs_2000 + 16
    Dim Reg2010 As Word At Regs_2000 + 18
    Dim Reg2011 As Word At Regs_2000 + 20
    Dim Reg2012 As Word At Regs_2000 + 22
    Dim Reg2013 As Word At Regs_2000 + 24 
    Dim Reg2014 As Word At Regs_2000 + 26
    Dim Reg2015 As Word At Regs_2000 + 28
    Dim Reg2016 As Word At Regs_2000 + 30
    

    Dim NoRegs3000 As 15
    Dim Regs_3000[NoRegs3000] As Word
    
    Dim Reg3001 As Word At Regs_3000 
    Dim Reg3002 As Word At Regs_3000 + 2 
    Dim Reg3003 As Word At Regs_3000 + 4
    Dim Reg3004 As Word At Regs_3000 + 6
    Dim Reg3005 As Word At Regs_3000 + 8
    Dim Reg3006 As Word At Regs_3000 + 10
    Dim Reg3007 As Word At Regs_3000 + 12
    Dim Reg3008 As Word At Regs_3000 + 14
    Dim Reg3009 As Word At Regs_3000 + 16
    Dim Reg3010 As Word At Regs_3000 + 18
    Dim Reg3011 As Word At Regs_3000 + 20
    Dim Reg3012 As Word At Regs_3000 + 22
    Dim Reg3013 As Word At Regs_3000 + 24
    Dim Reg3014 As Word At Regs_3000 + 26
    Dim Reg3015 As Word At Regs_3000 + 28

    Dim NoRegs4000 As 7
    Dim Regs_4000[NoRegs4000] As Word
        
    Dim Reg4001 As Word At Regs_4000
    Dim Reg4002 As Word At Regs_4000 + 2
    Dim Reg4003 As Word At Regs_4000 + 4
    Dim Reg5004 As Word At Regs_4000 + 6
    Dim Reg6005 As Word At Regs_4000 + 8
    Dim Reg7006 As Word At Regs_4000 + 10
    Dim Reg8007 As Word At Regs_4000 + 12  
    
    
    
    
;   Register numbers supported

Regs_Supported_Table:
    CData As Word 0,1,2,3, 5,6,7, 15,16,17,18
    
    CData As Word 101,102,103,104,105,106,107,108, 111,112,113,114,115,116,117,118
    
    CData As Word 1001,1002,1003,1004,1005,1006,1007,1008, 1011,1012,1013,1014,1015,1016,1017,1018
    
    CData As Word 1101,1102,1103,1104,1105,1106,1107,1108
    
    CData As Word 2001,2002,2003,2004,2005,2006, 2010,2011,2012,2013,2014,2015,2016
    
    CData As Word 3001,3002,3003,3004,3005,3006, 3010,3011,3012,3013,3014,3015
    
    CData As Word 4001,4002,4003,4004,4005,4006,4007
    
    CData As Word $5555
            
